import scipy as sp
import numpy as np
import sys
from os import listdir
import warnings
import matplotlib.cbook
from tg_alti_stats_fun import tgAltiStats

def genStats(tgName,mission):
    # mission : altimetry mission. Choices are: 'j1j2j3' (Jasons), 's3a' (Sentinel-3A), and 's3b' (Sentinel-3B)
    #----------------------- parameters ---------------------------
    distMax = 300 # maximum distance from tide gauge in km
    dx = 5 # interval for distance from coast in km
    # -------------------------------------------------------------
    path2Tg = '/Shared/Data/TideGauge/C-RISe_TG_validation/'
    path2Alti = "/Shared/Data/C-RISe/altimetryByPass/"
    path2TgMonthly = '/Shared/Data/TideGauge/C-RISe_Seasonal_Variability/'
    path2Coast = "/Shared/Software/Windows/SeaLevel/SeaLevelValidation/"
    pathOut = '/Shared/Software/Windows/SeaLevel/SeaLevelValidation/data/'

    with warnings.catch_warnings():
        warnings.simplefilter("ignore", category=matplotlib.cbook.mplDeprecation)
        warnings.simplefilter("ignore", category=RuntimeWarning)
        tgAltiStats(tgName,mission,distMax,dx,path2Alti,path2Tg,path2TgMonthly,path2Coast,pathOut)


if __name__ == "__main__":
    import sys
    genStats(sys.argv[1],sys.argv[2])
        
        




 
