import scipy as sp
import numpy as np
import sys
#import cPickle
import pickle # cPickle does not exist in Python 3
from os import listdir
import warnings
import matplotlib.cbook
from stats_alti_tracks import statsAltiTracks

def genStatsTracks(mission):
    # mission : altimetry mission. Choices are: 'j1j2j3' (Jasons), 's3a' (Sentinel-3A), and 's3b' (Sentinel-3B)
    
    path2Data = '/Shared/Software/Windows/SeaLevel/SeaLevelValidation/data/'
    path2Alti = "/Shared/Data/C-RISe/altimetryByPass/"
    with warnings.catch_warnings():
        warnings.simplefilter("ignore", category=matplotlib.cbook.mplDeprecation)
        warnings.simplefilter("ignore", category=RuntimeWarning)
        stats = statsAltiTracks(path2Alti,mission,300)
        
    with open(path2Data + 'statsAltiTracks_' + mission, 'wb') as fp:
        #cPickle.dump(stats,fp)
        pickle.dump(stats,fp)

if __name__ == "__main__":
    import sys
    genStatsTracks(sys.argv[1])
        
        




 
