import numpy as np
import ctypes

lib_dist = ctypes.windll.LoadLibrary("C:\Shared\Software\Windows\SeaLevel\SeaLevelValidation\python_code\distance2Coast.dll")

def minDistance(x,y,xc,yc,maxd):
    if np.isscalar(x):
        nx = 1
        x = np.array([x])
        y = np.array([y])
    else:
        nx = x.shape[0]

    if np.isscalar(xc):
        nc = 1
        xc = np.array([xc])
        yc = np.array([yc])
    else:
        nc = xc.shape[0]

    d = np.zeros((nx,),dtype=ctypes.c_double)
    k = np.zeros((nx,),dtype=ctypes.c_int)

    # create pointers to data for distance computation
    xp = x.ctypes.data_as(ctypes.POINTER(ctypes.c_double))
    yp = y.ctypes.data_as(ctypes.POINTER(ctypes.c_double))
    xcp = xc.ctypes.data_as(ctypes.POINTER(ctypes.c_double))
    ycp = yc.ctypes.data_as(ctypes.POINTER(ctypes.c_double))
    dp = d.ctypes.data_as(ctypes.POINTER(ctypes.c_double))
    kp = k.ctypes.data_as(ctypes.POINTER(ctypes.c_int))

    # compute minimum distance and indices
    lib_dist.distance2Coast(xp,yp,xcp,ycp,maxd,nx,nc,dp,kp)

    return d,k
    





 
