import matplotlib.pyplot as plt
import matplotlib as mpl
import numpy as np
mpl.rcParams.update(mpl.rcParamsDefault)

def plot_rms_distCoast(rms,dc,dTg,tgName,passn,mission):
     
    rms[rms == 0] = np.NaN
    fig, ax1 = plt.subplots(figsize=(19/2.54, 13.5/2.54))
    ax2 = ax1.twinx()

    ax1.plot(dc,rms,linewidth=2.,color='k',marker='o',markeredgewidth=0.0,label=r'')
    ax2.plot(dc,dTg,linewidth=1,color='#E24A33',marker='o',markeredgewidth=0.0,label=r'')

    for tl in ax1.get_yticklabels():
        tl.set_color('k')

    for tl in ax2.get_yticklabels():
        tl.set_color('#E24A33')
 
    ax1.set_xlabel('Distance from coast (km)')
    ax1.set_ylabel(r'RMS difference (cm)', color='k')
    ax2.set_ylabel(r'Distance from TG (km)', color='#E24A33')
    plt.rc('font',size=15)
    plt.draw()
    fig.tight_layout()
    plt.xlim((dc[0],dc[-1]))
    #ax1.set_yticks(np.arange(0,1.1,0.2))
    #ax1.set_ylim((0,1))
    ax2.spines['right'].set_color('#E24A33')
    ax1.spines['right'].set_color('#E24A33')
    ax1.tick_params(axis='y', colors='k',right='off')
    ax2.tick_params(axis='y', colors='#E24A33',left='off')

    pathFig = '/Shared/Software/Windows/SeaLevel/SeaLevelValidation/figures/'
    #fig.savefig(pathFig + "rms_dist2Coast_p" + passn + "_" + tgName + ".tiff",format = 'tiff', dpi = 300)
    fig.savefig(pathFig + "rms_dist2Coast_p" + passn + "_" + tgName + '_' + mission + ".png",format = 'png', dpi = 100)
    plt.close("all")

