import scipy as sp
import numpy as np
import sys
import datetime
from os import listdir


#path2Data = '/store/work/anhi/C-RISe/C-RISe_TG_validation/'
def readTg(path2Data,tgName):
    folders = ["C-RISe_UHSLC/","C-RISe_IOCSLMF/"]
    tgName = tgName.replace(" ","_")
    for fld in folders:
        fn = listdir(path2Data + fld) # list files in directory
        fn = [x for x in fn if x[0] != "."]
        fn = [x for x in fn if tgName.lower() in x.lower() and 't2k' in x]
        if fn:
            break
    try:
        fn = fn[0] # select tide gauge
    except (IndexError) as e:
        print("Tide gauge file not found")
        sys.exit(1)

    # read in coordinates and name of tide gauge
    #path2Lon = '/login/fmc1q07/work_space/c-rise/' # path where TG coordinates are saved
    #xy = np.genfromtxt(path2Lon + 'location_lon_lat.txt',dtype="S30,f8,f8")
    #xy = [x for x in xy if tgName.lower() in x[0].lower()][0]
    #tgName = xy[0] #use the name in the file for consistency
    #lat = xy[1]
    #lon = xy[2]

    # read tide gauge data
    with open(path2Data + fld + fn, 'r') as file:
        data = file.readlines()
    tgName = data[18].strip()
    tgName = tgName.replace(" ","_")
    xy = data[19].strip()
    xy = xy.split()
    lat = float(xy[0])
    lon = float(xy[1])
    
    data = np.loadtxt(path2Data + fld + fn,skiprows=20)
    sl = data[:,5]
    res = data[:,7]
    epoch = datetime.datetime.utcfromtimestamp(0) # 1970-01-01 00:00:00
    nt = sl.shape[0]
    daten = np.zeros((nt,))
    for i in range(nt):
        year0 = datetime.datetime(int(data[i,2]),1,1)  
        daten[i] = (year0 - epoch).total_seconds() + 3600.*((data[i,3]-1)*24 + data[i,4])
    flag = data[:,1]
    sl[flag == 1] = np.NaN
    res[flag == 1] = np.NaN

    # store data in dictionary
    dataTg = {"tgName":tgName,"lon":lon,"lat":lat,"dateEpoch":daten,"totalSl":sl,"tidal_res":res}
    return dataTg
