function save2netcdf(data,fileName,pathout)

ncid = netcdf.create([pathout,fileName],'NC_WRITE');
dimidt = netcdf.defDim(ncid,'time',length(data.time));
dimidlon = netcdf.defDim(ncid,'lon',length(data.lon));
dimidlat = netcdf.defDim(ncid,'lat',length(data.lat));

time_ID = netcdf.defVar(ncid,'time','double',dimidt);
lat_ID = netcdf.defVar(ncid,'lat','double',dimidlat);
lon_ID = netcdf.defVar(ncid,'lon','double',dimidlon);
ssha_ID = netcdf.defVar(ncid,'ssha_filt','double',[dimidt dimidlat]);
dac_ID = netcdf.defVar(ncid,'DACorr','double',[dimidt dimidlat]);

netcdf.endDef(ncid);

netcdf.putVar(ncid,time_ID,(data.time - datenum(2000,1,1)) * 24 * 3600);
netcdf.putVar(ncid,lat_ID,data.lat);
netcdf.putVar(ncid,lon_ID,data.lon);
netcdf.putVar(ncid,ssha_ID,data.sla_filtered);
netcdf.putVar(ncid,dac_ID,data.dac);

netcdf.close(ncid);

ncwriteatt([pathout,fileName],'/','creation data',datestr(now))
ncwriteatt([pathout,fileName],'/','institution','National Oceanography Centre, UK')
ncwriteatt([pathout,fileName],'/','contact','francisco.calafat@noc.ac.uk')
ncwriteatt([pathout,fileName],'/','title','Satellite altimetry along-track data from CMEMS SEALEVEL_GLO_PHY_L3_MY_008_062 product')

ncwriteatt([pathout,fileName],'time','long_name','time')
ncwriteatt([pathout,fileName],'time','units','seconds since 1 Jan 2000')
ncwriteatt([pathout,fileName],'lat','long_name','latitude')
ncwriteatt([pathout,fileName],'lat','units','degrees')
ncwriteatt([pathout,fileName],'lon','long_name','longitude')
ncwriteatt([pathout,fileName],'lon','units','degrees')
ncwriteatt([pathout,fileName],'ssha_filt','long_name','sea level anomaly filtered not-subsampled with dac, ocean_tide and lwe correction applied')
ncwriteatt([pathout,fileName],'ssha_filt','units','m')
ncwriteatt([pathout,fileName],'DACorr','long_name','Dynamic Atmospheric Correction')
ncwriteatt([pathout,fileName],'DACorr','units','m')


